Subject: bug#69739: 30.0.50; `type-of` is not precise enough

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Mar 2024 17:18:43 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 15 Mar 2024 10:09:11 -0400
> 
> Eli Zaretskii [2024-03-15 13:50:56] wrote:
> > Should we document this new function in the ELisp manual?
> 
> I was thinking that we should do that only when/if we demote `type-of`
> (`(cl-)type-of` is an operation that's used very rarely, so I think it's
> best to keep it to a minimum in the manual),
> Of course, the name also begs the question whether it should be in the
> ELisp manual or in the CL manual.
> 
> In a previous version of the patch I had it documented alongside
> `type-of`, so I can easily dig that up if you think it's best.

Yes, I think we should document it near type-of, as the explanation
when and why to prefer cl-type-of is quite simple and easily
understandable.